import React from 'react'
import { Container, Divider, Dropdown, Grid, Header, Image, List, Menu, Segment } from 'semantic-ui-react'
import { NavLink, Link, Route } from 'react-router-dom'

const App = () => (
  <div>
    <Menu fixed='top' inverted>
      <Container>
        <Menu.Item as={Link} header to='/'>Circle Network</Menu.Item>
        <Menu.Item as={NavLink} to='/hosts'>Hosts</Menu.Item>
        <Menu.Item as={NavLink} to='/vlans'>Vlans</Menu.Item>
        <Menu.Item as={NavLink} to='/domains'>Domains</Menu.Item>
        <Menu.Item as={NavLink} to='/records'>Records</Menu.Item>
        <Menu.Item as={NavLink} to='/blacklist'>Blacklist</Menu.Item>
        <Menu.Item as={NavLink} to='/rules'>Rules</Menu.Item>
        <Menu.Item as={NavLink} to='/switchports'>Switch ports</Menu.Item>
        <Menu.Item as={NavLink} to='/firewalls'>Firewalls</Menu.Item>

        <Dropdown item simple text='Groups'>
          <Dropdown.Menu>
            <Dropdown.Item as={Link} to='/vlangroups'>Vlan groups</Dropdown.Item>
            <Dropdown.Item as={Link} to='/hostgroups'>Host groups</Dropdown.Item>
          </Dropdown.Menu>
        </Dropdown>
      </Container>
    </Menu>

    <Container text style={{ marginTop: '7em' }}>
      <Route path='/' exact />
      <Route path='/hosts' />
      <Route path='/vlans' />
      <Route path='/doamins' />
      <Route path='/records' />
      <Route path='/blacklist' />
      <Route path='/rules' />
      <Route path='/switchports' />
      <Route path='/firewalls' />
      <Route path='/vlangroups' />
      <Route path='/hostgroups' />
    </Container>

    <Segment inverted vertical >
      <Container textAlign='center'>
       <List horizontal inverted divided link>
          <List.Item as='a' href='#'>Legal Notice</List.Item>
          <List.Item as='a' href='#'>Policy</List.Item>
          <List.Item as='a' href='#'>Help</List.Item>
          <List.Item as='a' href='#'>Support</List.Item>
        </List>
      </Container>
    </Segment>
  </div>
)

export default App
