import React from 'react'
import ReactDOM from 'react-dom'
import thunk from 'redux-thunk'
import { Provider } from 'react-redux'
import { BrowserRouter } from 'react-router-dom'
import { createStore, applyMiddleware } from 'redux' 
import 'semantic-ui-css/semantic.min.css'

import App from './App'
import reducer from './reducers'

let store = createStore(reducer, applyMiddleware(thunk))

ReactDOM.render(<Provider store={store}><BrowserRouter><App /></BrowserRouter></Provider>, document.getElementById('root'))

